QGIS Application - Bug report #5230
qgis server: set the mssql driver ON/OFF with cmake configuration
2012-03-25 09:17 AM - aperi2007 -

Status: Closed

Priority: Normal

Assignee: Tamas Szekeres

Category: Build/Install

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupls data:

Copied to github as #: 14966

Description

Hi,

compiling qgis-server , with last revision of trunk, | have

no error in configuring phase, but this error in compiling phase:

[ 67%)] Building CXX object src/providers/mssql/CMakeFiles/mssqlprovider.dir/qgsmssglprovider.cpp.o
/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:55:20: error: sglext.h: No such file

or directory

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp: In member function

aQVariant:: Type QgsMssqlProvider::DecodeODBCType(int)a:

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:240: error:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GlIS/src/providers/mssql/qgsmssqlprovider.cpp:241:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:242:

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:243:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:244:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:247:

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:248:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:249:

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:250:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:253:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GlIS/src/providers/mssql/qgsmssqlprovider.cpp:256:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:257:

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:258:

aSQL_LONGVARBINARYa was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:261:

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:262:

was not declared in this scope
error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

error:

aSQL_DECIMALA was

aSQL_NUMERICa was

aSQL_REALA4 was not

4SQL_FLOATa was

a4SQL_DOUBLEA4 was

4SQL_SMALLINTA

aSQL_INTEGER& was

aSQL_BITa was not

aSQL_TINYINTa was

aSQL_BIGINTa was

aSQL_BINARYa was

aSQL_VARBINARY&

aSQL_DATEa was not

aSQL_TYPE_DATEa
/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:265: error:

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:266: error:

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:269: error:

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:270: error:

aSQL_TYPE_TIMESTAMPA was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GlIS/src/providers/mssql/qgsmssqlprovider.cpp:274: error:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:275: error:

was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:276: error:

aSQL_WLONGVARCHARA was not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:280: error:

declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:281: error:

not declared in this scope

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp:282: error:

aSQL_LONGVARCHARa was not declared in this scope

aSQL_TIMEA& was not

asQL_TYPE_TIMEa

aSQL_TIMESTAMPa&

aSQL_WCHARAa was

4SQL_WVARCHAR4

aSQL_CHARA4 was not

aSQL_VARCHARa was

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssqlprovider.cpp: In member function avirtual void

QgsMssqlProvider::select(QgsAttributeList, QgsRectangle, bool, bool)a:

/home/archivio/tomcat/software/qgis/Quantum-GIS/src/providers/mssql/qgsmssglprovider.cpp:519: warning: suggest braces

around empty body in an &elseéa statement

makel[2]: *** [src/providers/mssqgl/CMakeFiles/mssqlprovider.dir/qgsmssqlprovider.cpp.o] Error 1
make[1]: *** [src/providers/mssql/CMakeFiles/mssqlprovider.dir/all] Error 2

make: *** [all] Error 2

| guess these error there are because | don't install the mssq| driver, but | don't plan to use it,
so | guess should be better allow (as for postgres) to enable/disable it in the configuration phase of cmake.

History

#1 - 2012-03-26 07:32 AM - Tamas Szekeres

- Assignee set to Tamas Szekeres

Issue now is fixed in szekerest/master (https://github.com/szekerest) should be merged back to qgis

#2 - 2012-03-26 03:32 PM - Tamas Szekeres
- Resolution set to fixed

fix was applied in ggis/master commit:04e826881a0d7d35605b8c3399e27fe3993e8a30

#3 - 2012-03-28 05:51 AM - Nathan Woodrow
- Status changed from Open to Closed
https://github.com/szekerest

